// PersonHomeLocal.java

package org.objectweb.jonas.jtests.beans.relation.rcycle;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;


/**
 * Local home interface for the bean Person
 * @author Helene Joanin
 */
public interface PersonHomeLocal extends EJBLocalHome {

    PersonLocal create(Integer id, String name, int sex) throws CreateException;

    PersonLocal findByPrimaryKey(java.lang.Integer id) throws FinderException;

    Collection findAll() throws FinderException;
    PersonLocal findSpouse3() throws FinderException;

}
